ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vitalyi Brodetskyi" <vbrodets...@hortonworks.com>
Subject Review Request 36423: yarn.resourcemanager.fs.state-store.uri not handled in upgrade catalog for yarn?
Date Sat, 11 Jul 2015 08:12:58 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/36423/
-----------------------------------------------------------

Review request for Ambari, Andrew Onischuk and Dmytro Grinenko.


Bugs: AMBARI-12387
    https://issues.apache.org/jira/browse/AMBARI-12387


Repository: ambari


Description
-------

Ambari UI shows an error as yarn.resourcemanager.fs.state-store.uri is a required configuration
and has no value specified during the upgrade from 2.1 to 2.3
Also, "hadoop.registry.zk.quorum" was handled in the 2.2 to 2.3 upgrade but not so for 2.1
Docs say that "yarn.resourcemanager.zk-address" needs to be fixed but that is already handled
by Ambari.


Diffs
-----

  ambari-server/src/main/resources/upgrade/catalog/UpgradeCatalog_2.1_to_2.2.json 613aa6f

  ambari-server/src/main/resources/upgrade/catalog/UpgradeCatalog_2.1_to_2.3.json 1304c5a


Diff: https://reviews.apache.org/r/36423/diff/


Testing
-------

mvn clean test


Thanks,

Vitalyi Brodetskyi


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message